/**
 * @file
 *
 * Feuille de style dédiée à la région Header.
 *
 */

#header {
  position: fixed;
  z-index: 100;
  left: 0; top: 0;
  width: 100%;
  height: 76px;
  background-color: #fff;
  -webkit-box-shadow: 0 15px 15px -10px rgba(0,0,0,.2);
  box-shadow: 0 15px 15px -10px rgba(0,0,0,.2);
}
body.toolbar-horizontal #header,
body.toolbar-vertical #header {
  top: 39px;
}

/*** NAVIGATION MOBILE ***/

#navmob {
  display: none;
  position: absolute;
  left: 25px;
  top: 25px;
  width: 30px;
  height: 25px;
}
#navmob:hover {
  cursor: pointer;
}
#navmob .bar {
  position: absolute;
  width: 100%; height: 4px;
  background-color: #4199a8;
  -webkit-transition: all 0.3s ease-in 0s;
  -moz-transition: all 0.3s ease-in 0s;
  -o-transition: all 0.3s ease-in 0s;
  transition: all 0.3s ease-in 0s;
}
#navmob .bar-1 { top: 0; }
#navmob .bar-2 { top: 40%; }
#navmob .bar-3 { top: 80%; }
#navmob.on .bar { top: 40%; }
#navmob.on .bar-1 {
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}
#navmob.on .bar-2 { display: none; }
#navmob.on .bar-3 {
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

/*** LOGO ***/

.block-system-branding-block {
  float: left;
}
body.logged-in .block-system-branding-block {
  margin: 18px 0 0 250px;
}
body.not-logged .block-system-branding-block {
  margin: 18px 0 0 20px;
}
.block-system-branding-block a.site-logo {
  display: block;
  width: 295px;
  height: 40px;
  background: url('../images/header/logo.png') no-repeat;
  background: url('../images/header/logo.svg') no-repeat;
}
.block-system-branding-block img {
  display: block;
}

/*** DROIT ***/

.droit {
  float: right;
}
a.cae35 {
  display: block;
  float: right;
  margin-left: 30px;
  padding: 0 20px 0 25px;
  height: 76px;
  line-height: 76px;
  background-position: left 28px;
  background-repeat: no-repeat;
  -webkit-background-size: 15px 15px;
  background-size: 15px 15px;
  background-image: url('../images/header/retour-site.png');
  background-image: url('../images/header/retour-site.svg');
  text-decoration: none;
  color: #4199a8;
}
a.cae35:visited {
  color: #4199a8;
}
a.cae35:hover {
  background-image: url('../images/header/retour-site-hover.png');
  background-image: url('../images/header/retour-site-hover.svg');
  color: #0f5669;
}
a.cae35 svg {
  display: none;
}
#user-menu {
  position: relative;
  float: right;
}
#user-menu h2 {
  margin: 0px;
  padding: 0 20px 0 50px;
  height: 76px;
  line-height: 76px;
  background-position: 25px 27px;
  background-repeat: no-repeat;
  background-image: url('../images/header/menu-compte.png');
  background-image: url('../images/header/menu-compte.svg');
  font-size: 1em;
  color: #4199a8;
}
#user-menu:hover h2,
#user-menu h2.on {
  background-color: #4199a8;
  background-image: url('../images/header/menu-compte-hover.png');
  background-image: url('../images/header/menu-compte-hover.svg');
  color: #0f5669;
  cursor: pointer;
}
html.touchevents #user-menu h2.off {
  background-color: transparent;
  background-image: url('../images/header/menu-compte.png');
  background-image: url('../images/header/menu-compte.svg');
  color: #4199a8;
}
#user-menu h2 div {
  padding-right: 20px;
  background-position: right 33px;
  background-repeat: no-repeat;
  background-image: url('../images/header/menu-down.png');
  background-image: url('../images/header/menu-down.svg');
}
#user-menu:hover h2 div,
#user-menu h2.on div {
  background-image: url('../images/header/menu-down-hover.png');
  background-image: url('../images/header/menu-down-hover.svg');
}
html.touchevents #user-menu h2.off div {
  background-image: url('../images/header/menu-down.png');
  background-image: url('../images/header/menu-down.svg');
}
#user-menu .content {
  display: none;
  position: absolute;
  left: 0;
  min-width: 100%;
  background-color: #4199a8;
  -webkit-box-shadow: 10px 10px 20px 0 rgba(0,0,0,.2);
  box-shadow: 10px 10px 20px 0 rgba(0,0,0,.2);
}
#user-menu ul.menu li a {
  display: block;
  padding: 15px 20px 15px 50px;
  background-repeat: no-repeat;
  background-position: 17px center;
  white-space: nowrap;
  text-decoration: none;
  color: #fff;
}
#user-menu ul.menu li a:hover {
  background-color: #50abbb;
}
#user-menu ul.menu li.mon-compte a {
  background-image: url('../images/login/compte.png');
  background-image: url('../images/login/compte.svg');
}
#user-menu ul.menu li.se-dconnecter a {
  background-color: #0f5669;
  background-image: url('../images/login/deconnection.png');
  background-image: url('../images/login/deconnection.svg');
  color: #4199a8;
}

/**
 * RESPONSIVE
 */

/*--------- <= 880px ---------*/

@media only screen and (max-width: 880px) {

  .block-system-branding-block {
    margin-left: 150px;
  }

}

/*--------- <= 740px ---------*/

@media only screen and (max-width: 740px) {

  .block-system-branding-block {
    margin-left: 90px;
  }

}

/*--------- <= 680px ---------*/

@media only screen and (max-width: 680px) {

  .block-system-branding-block {
    display: none;
  }

}

/*--------- <= 380px ---------*/

@media only screen and (max-width: 380px) {

  a.cae35 {
    display: none;
  }

}

